﻿Imports System.Collections.ObjectModel

Public Class ProductViewModel
    Public Property Products As ObservableCollection(Of Product)
    Public Property SelectedProducts As ObservableCollection(Of Object)

    Public Sub New()
        ' Initialize the Products collection
        SelectedProducts = New ObservableCollection(Of Object)()
        Products = New ObservableCollection(Of Product)()

        ' Add some sample data (you can remove this in your actual application)
        Products.Add(New Product With {
            .ProductName = "Product 1",
            .ProductID = 1,
            .UnitsInStock = 10
        })
        Products.Add(New Product With {
            .ProductName = "Product 2",
            .ProductID = 2,
            .UnitsInStock = 20
        })
        Products.Add(New Product With {
            .ProductName = "Product 3",
            .ProductID = 3,
            .UnitsInStock = 30
        })
        SelectedProducts.Add(Products(1))
    End Sub
End Class

Public Class Product
    Public Property ProductName As String
    Public Property ProductID As Integer
    Public Property UnitsInStock As Integer
End Class

